<script>
import paper, {Point, Path, PaperScope, Tool, Segment} from 'paper'
import { ref } from "vue";
const scope = ref(new PaperScope())

onMounted(() => {
  let p = new Path({
    closed: true,
    fillColor: 'red',
    strokeColor: 'red',
    strokeWidth: 10
  })

  let poi = scope.value.view.center;
  let lange = 235;
  //p.add(poi)
  poi = poi.add(new Point({length: lange, angle:0}))
  p.add(poi)

  poi = poi.add(new Point({length: lange, angle: -180+108}))
  p.add(poi)

  poi = poi.add(new Point({length: lange, angle: (-180+108)*2}))
  p.add(poi)

  poi = poi.add(new Point({length: lange, angle: (-180+108)*3}))
  p.add(poi)

  poi = poi.add(new Point({length: lange, angle: (-180+108)*4}))
  p.add(poi)

})
</script>

<template>

</template>

<style scoped>

</style>